MMEvents.createStructures(event => {
    event.create("mm:lave_structure")
        .controllerId("mm:lave")
        .name("Lave")
        .layout(a => {
            a.layer([
                "BBBBB",
                "BDDDB",
                "BDIDB",
                "BDDDB",
                "BBBBB"
            ]).layer([
                "BDDDB",    
                "D   D", 
                "D   D", 
                "D   D", 
                "BDDDB" 
            ]).layer([
                "BDDDB",    
                "D   D", 
                "D   D", 
                "D   D", 
                "BDDDB"  
            ]).layer([
                "BEFGB",    
                "DHHHD", 
                "DHHHD", 
                "DHHHD", 
                "BDCDB" 
            ]).layer([
                "BBBBB",    
                "BBBBB", 
                "BBBBB", 
                "BBBBB", 
                "BBBBB"               
            ]).key("A", {
                block: "minecraft:glass"
            }).key("B", {
                block: "kubejs:rouge_sombre"
            }).key("D", {
                block: "tconstruct:clear_glass"
            }).key("E", {
                block: "mm:item_lave_input"
            }).key("F", {
                block: "mm:energy_lave_input"
            }).key("G", {
                block: "mm:lave_output"
            }).key("H", {
                block: "exdeorum:porcelain_crucible"
            }).key("I", {
                block: "projectred_illumination:red_inverted_illumar_lamp"
            })
        })
})